
CN REST - Task #7238

Story # 7101 (Closed): Add diagnostic support functions on CNs to assist with MN test and deployment

Implement CNDiagnostic.echoSystemMetadata

2015-06-26 17:00 - Ben Leinfelder

Status: Closed Start date: 2015-06-26

Priority: Normal Due date:  

Assignee: Ben Leinfelder % Done: 100%

Category: d1_cn_service Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Story Points:    

Description

Diagnostic method for verifying system metadata structure

History

#1 - 2015-06-26 21:52 - Ben Leinfelder

- Status changed from New to Closed

- % Done changed from 0 to 100

- translation missing: en.field_remaining_hours set to 0.0

Now parsing v2 system metadata and spitting it right back out. Problems with parsing will be reported with an exception. Missing SM will be

InvalidRequest, JIBX error will return as InvalidSystemMetadata, all other errors are ServiceFailure. r

#2 - 2015-06-29 18:14 - Ben Leinfelder

- Estimated time set to 0.00

Tested with sysmeta that was missing identifier element:

<?xml version="1.0" encoding="UTF-8"?>

Expected "identifier" start tag, found "formatId" start tag (line 1, col 211)
